package com.duiba.tuia.youtui.web.model;/**
 * Created by chengdeman .
 * 17/9/1 .
 */

import java.io.Serializable;

/**
 * 优惠券data信息
 *
 * @author chengdeman
 * @create 2017-09-01 下午5:08
 **/
public class CouponDataVO implements Serializable{

    /** 优惠券描述，即详情文案. */
    private String            couponRemark;

    /** 缩略图的url地址. */
    private String            thumbnailPngUrl;

    /** 券的标题. */
    private String            title;

    /** 优惠券有效期的结束时间. */
    private String            endValid;

    /** 推广网址. */
    private String            promoteUrl;

    /** 优惠券类型：1-链接券；2-可重复券；3-普通券. */
    private int               couponType;

    /** 是否为微信券(0：否，1：是) ,只有couponType=2 or couponType=3时有效. */
    private int               isWeixin;

    /** 素材ID  确认展示的素材*/
    private Long              materialId;


    /** 广告计费  */
    private String           fee ;


    public String getCouponRemark() {
        return couponRemark;
    }

    public void setCouponRemark(String couponRemark) {
        this.couponRemark = couponRemark;
    }

    public String getThumbnailPngUrl() {
        return thumbnailPngUrl;
    }

    public void setThumbnailPngUrl(String thumbnailPngUrl) {
        this.thumbnailPngUrl = thumbnailPngUrl;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getEndValid() {
        return endValid;
    }

    public void setEndValid(String endValid) {
        this.endValid = endValid;
    }

    public String getPromoteUrl() {
        return promoteUrl;
    }

    public void setPromoteUrl(String promoteUrl) {
        this.promoteUrl = promoteUrl;
    }

    public int getCouponType() {
        return couponType;
    }

    public void setCouponType(int couponType) {
        this.couponType = couponType;
    }

    public int getIsWeixin() {
        return isWeixin;
    }

    public void setIsWeixin(int isWeixin) {
        this.isWeixin = isWeixin;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }
}
